%define tarball xf86-video-qxl
%define moduledir %(pkg-config xorg-server --variable=moduledir )
%define driverdir	%{moduledir}/drivers

%define cvsdate xxxxxxx

Summary:   Xorg X11 qxl video driver
Name:      xorg-x11-drv-qxl
Version:   0.0.12
Release:   1.2%{?dist}
URL:       http://www.x.org
Source0:   http://xorg.freedesktop.org/releases/individual/driver/%{tarball}-%{version}.tar.bz2
Source1:   qxl.xinf
License: MIT
Group:     User Interface/X Hardware Support
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

ExclusiveArch: %{ix86} x86_64

BuildRequires: pkgconfig
BuildRequires: xorg-x11-server-sdk >= 1.1.0-1
BuildRequires: glib2-devel

Requires:  xorg-x11-server-Xorg >= 1.1.0-1

%description 
X.Org X11 qxl video driver.

%prep
%setup -q -n %{tarball}-%{version}

%build
%configure --disable-static
make

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_datadir}/hwdata/videoaliases
install -m 0644 %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/hwdata/videoaliases

# FIXME: Remove all libtool archives (*.la) from modules directory.  This
# should be fixed in upstream Makefile.am or whatever.
find $RPM_BUILD_ROOT -regex ".*\.la$" | xargs rm -f --

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{driverdir}/qxl_drv.so
%{_datadir}/hwdata/videoaliases/qxl.xinf

%changelog
* Thu Feb 06 2010 Soren Sandmann <ssp@redhat.com> 0.0.12-1.2
- Fix for bug 552181

* Thu Feb 04 2010 Soren Sandmann <ssp@redhat.com> 0.0.9-1.2
- Add qxl.xinf

* Wed Jan 27 2010 Soren Sandmann <ssp@redhat.com> 0.0.9-1.1
- Update to 0.0.9

* Fri Jan 15 2010 Soren Sandmann <ssp@redhat.com> 0.0.8-1.1
- Update to 0.0.8.
  Various bug fixes.

* Fri Jan 15 2010 Soren Sandmann <ssp@redhat.com> 0.0.7-1.1
- Update to 0.0.7. 
  Various bug fixes.

* Tue Jul 1 2009 Soren Sandmann <ssp@redhat.com> 0.0.5-1.1
- Update to 0.0.5. 
  The only change here is a fix for bug 509410.

* Tue Jul 1 2009 Soren Sandmann <ssp@redhat.com> 0.0.4-1.1
- Update to 0.0.4.

* Tue Jun 30 2009 Soren Sandmann <ssp@redhat.com> 0.0.3-1.3
- Add pci-id.patch to track change of vendor id from Qumranet to Red
  Hat. Bug 507884 and likely 504901.

* Thu Apr 23 2009 Soren Sandmann <ssp@redhat.com> 0.0.3-1.2
- Add patch to include <stdint.h>

* Tue Mar 31 2009 Soren Sandmann <ssp@redhat.com> 0.0.3-1.1
- New version

* Fri Feb 27 2009 Soren Sandmann <ssp@redhat.com> 0.0.2-1.1
- Add glib2 build requires

* Fri Feb 27 2009 Soren Sandmann <ssp@redhat.com> 0.0.2-1.1
- Version 0.0.2

* Tue Feb 24 2009 Soren Sandmann <ssp@redhat.com> 0.0.1-1.1
- Initial package
